import 'package:flutter/material.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';

class PoliciesLabel extends StatelessWidget {
  const PoliciesLabel({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context).textTheme;
    final localizations = AppLocalizations.of(context)!;
    return Wrap(
      spacing: 8,
      children: [
        GestureDetector(
          onTap: () {
            // Navigate to Terms of Service
          },
          child: Text(
            localizations.footerTermsOfService, 
            style: theme.labelSmall?.copyWith(
              color: Theme.of(context).colorScheme.primary,
              decoration: TextDecoration.underline,
            ),
          ),
        ),
        const Text('|'),
        GestureDetector(
          onTap: () {
            // Navigate to Privacy Policy
          },
          child: Text(
            localizations.footerPrivacyPolicy,
            style: theme.labelSmall?.copyWith(
              color: Theme.of(context).colorScheme.primary,
              decoration: TextDecoration.underline,
            ),
          ),
        ),
        const Text('|'),
        GestureDetector(
          onTap: () {
            // Navigate to Cookie Policy
          },
          child: Text(
            localizations.footerCookiePolicy, 
            style: theme.labelSmall?.copyWith(
              color: Theme.of(context).colorScheme.primary,
              decoration: TextDecoration.underline,
            ),
          ),
        ),
      ],
    );
  }
}